org.apache.hadoop.fs

## Class MD5MD5CRC32GzipFileChecksum

- java.lang.Object
- - org.apache.hadoop.fs.FileChecksum
  - - org.apache.hadoop.fs.MD5MD5CRC32FileChecksum
    - - org.apache.hadoop.fs.MD5MD5CRC32GzipFileChecksum

- All Implemented Interfaces:
    Writable

      public class MD5MD5CRC32GzipFileChecksum
      extends org.apache.hadoop.fs.MD5MD5CRC32FileChecksum

  For CRC32 with the Gzip polynomial

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.fs.MD5MD5CRC32FileChecksum

      `LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MD5MD5CRC32GzipFileChecksum()` Same as this(0, 0, null)
    `MD5MD5CRC32GzipFileChecksum(int bytesPerCRC, long crcPerBlock, MD5Hash md5)` Create a MD5FileChecksum

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataChecksum.Type` | `getCrcType()` returns the CRC type

    - ### Methods inherited from class org.apache.hadoop.fs.MD5MD5CRC32FileChecksum

      `getAlgorithmName, getBytes, getChecksumOpt, getCrcTypeFromAlgorithmName, getLength, readFields, toString, write`

    - ### Methods inherited from class org.apache.hadoop.fs.FileChecksum

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MD5MD5CRC32GzipFileChecksum

          public MD5MD5CRC32GzipFileChecksum()

      Same as this(0, 0, null)

    - #### MD5MD5CRC32GzipFileChecksum

          public MD5MD5CRC32GzipFileChecksum(int bytesPerCRC,
                                             long crcPerBlock,
                                             MD5Hash md5)

      Create a MD5FileChecksum

  - ### Method Detail

    - #### getCrcType

          public DataChecksum.Type getCrcType()

      Description copied from class: `org.apache.hadoop.fs.MD5MD5CRC32FileChecksum`
      returns the CRC type
      Overrides:
        `getCrcType` in class `org.apache.hadoop.fs.MD5MD5CRC32FileChecksum`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.